ISVNMergerFactory (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.ISVNMergerFactory interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Interface ISVNMergerFactory

public interface ISVNMergerFactory

The ISVNMergerFactory interface should be implemented in order to be used as a factory of merger drivers intended for merging operations.

To get a default merger factory implementation call the `ISVNOptions.getMergerFactory()` method of a default run-time configuration driver. How to obtain a default run-time configuration driver read more on `ISVNOptions` and `SVNWCUtil`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `ISVNMerger`

Method Summary
`ISVNMerger` | `createMerger(byte[] conflictStart, byte[] conflictSeparator, byte[] conflictEnd)` Creates a new merger driver.

Method Detail

### createMerger

    public ISVNMerger createMerger(byte[] conflictStart,
                                   byte[] conflictSeparator,
                                   byte[] conflictEnd)

  Creates a new merger driver.

  If a merger driver can not cleanly apply delta to a file (in case of a conflict state) then for each conflicting contents fragment the driver puts local data between the specified `conflictStart` and `conflictSeparator` bytes, and the newcomer data between the specified `conflictSeparator` and `conflictEnd` ones. And all these bytes are then written to the file in the place of a conflict.

  Parameters:
    `conflictStart` - bytes that come in the very beginning of a conflict
    `conflictSeparator` - bytes that are used to separate two conflicting fragments - local data and the newcomer one
    `conflictEnd` - bytes that come in the very end of a conflict
  Returns:
    a merger driver

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.